<?php
/**
 * TOP API: alibaba.alihealth.drug.download.getentdailytaskdtolist request
 * 
 * @author auto create
 * @since 1.0, 2022.06.30
 */
class AlibabaAlihealthDrugDownloadGetentdailytaskdtolistRequest
{
	/** 
	 * appkey
	 **/
	private $appKeyN;
	
	/** 
	 * 统计的结束时间
	 **/
	private $endTime;
	
	/** 
	 * 统计的开始时间
	 **/
	private $startTime;
	
	private $apiParas = array();
	
	public function setAppKeyN($appKeyN)
	{
		$this->appKeyN = $appKeyN;
		$this->apiParas["app_key_n"] = $appKeyN;
	}

	public function getAppKeyN()
	{
		return $this->appKeyN;
	}

	public function setEndTime($endTime)
	{
		$this->endTime = $endTime;
		$this->apiParas["end_time"] = $endTime;
	}

	public function getEndTime()
	{
		return $this->endTime;
	}

	public function setStartTime($startTime)
	{
		$this->startTime = $startTime;
		$this->apiParas["start_time"] = $startTime;
	}

	public function getStartTime()
	{
		return $this->startTime;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.drug.download.getentdailytaskdtolist";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->appKeyN,"appKeyN");
		RequestCheckUtil::checkNotNull($this->endTime,"endTime");
		RequestCheckUtil::checkNotNull($this->startTime,"startTime");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
